#include <QDebug>
#include <QMenu>
#include <QSlider>
#include <QToolBar>

#include "testwidget.h"

TestWidget::TestWidget(QWidget* parent)
    : QWidget(parent)
      , slider(0)
{
    qDebug() << Q_FUNC_INFO;

    setupUi(this);

    m_rebuildAction = new QAction("rebuild", this);
    connect(m_rebuildAction, SIGNAL(triggered(bool)),
            this, SLOT(slotRebuild()));

    QToolBar* toolBar = new QToolBar(this);
    layout()->setMenuBar(toolBar);
    toolBar->addAction(m_rebuildAction);

    slotRebuild();
}

void TestWidget::slotRebuild()
{
    qDebug() << Q_FUNC_INFO;
    m_tab->clear();

    delete slider;
    slider = new QSlider(this);
    m_tab->addTab(slider, "tab");

    QMenu* menu = new QMenu(slider);
    menu->setAttribute(Qt::WA_StaticContents);

    qDebug() << Q_FUNC_INFO << "END";
}
